Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes

# VRTComplexSource Class Reference

Inheritance diagram for VRTComplexSource:

List of all members.

## Public Member Functions
virtual CPLErr | RasterIO (int nXOff, int nYOff, int nXSize, int nYSize, void *pData, int nBufXSize, int nBufYSize, GDALDataType eBufType, int nPixelSpace, int nLineSpace)
virtual double | GetMinimum (int nXSize, int nYSize, int *pbSuccess)
virtual double | GetMaximum (int nXSize, int nYSize, int *pbSuccess)
virtual CPLErr | ComputeRasterMinMax (int nXSize, int nYSize, int bApproxOK, double *adfMinMax)
virtual CPLErr | ComputeStatistics (int nXSize, int nYSize, int bApproxOK, double *pdfMin, double *pdfMax, double *pdfMean, double *pdfStdDev, GDALProgressFunc pfnProgress, void *pProgressData)
virtual CPLErr | GetHistogram (int nXSize, int nYSize, double dfMin, double dfMax, int nBuckets, int *panHistogram, int bIncludeOutOfRange, int bApproxOK, GDALProgressFunc pfnProgress, void *pProgressData)
virtual CPLXMLNode * | SerializeToXML (const char *pszVRTPath)
virtual CPLErr | XMLInit (CPLXMLNode *, const char *)
virtual const char * | GetType ()
double | LookupValue (double dfInput)
void | SetLinearScaling (double dfOffset, double dfScale)
void | SetPowerScaling (double dfExponent, double dfSrcMin, double dfSrcMax, double dfDstMin, double dfDstMax)
void | SetColorTableComponent (int nComponent)
## Public Attributes
double * | padfLUTInputs
double * | padfLUTOutputs
int | nLUTItemCount
## Protected Member Functions
CPLErr | RasterIOInternal (int nReqXOff, int nReqYOff, int nReqXSize, int nReqYSize, void *pData, int nOutXSize, int nOutYSize, GDALDataType eBufType, int nPixelSpace, int nLineSpace)
## Protected Attributes
VRTComplexSourceScaling | eScalingType
double | dfScaleOff
double | dfScaleRatio
int | bSrcMinMaxDefined
double | dfSrcMin
double | dfSrcMax
double | dfDstMin
double | dfDstMax
double | dfExponent
int | nColorTableComponent

The documentation for this class was generated from the following files:

- vrtdataset.h
- vrtsources.cpp

Generated for GDAL by 1.7.1.